summaryrefslogtreecommitdiffstats
path: root/audio/alsaplayer
diff options
context:
space:
mode:
author Luís Henrique <lmello.009@gmail.com>2010-05-13 00:20:43 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:20:43 +0200
commite98067e75fa94fa83d753fa01b5ce9ea39a8e98d (patch)
tree9ee6bbb497eed41ade22bd3e398e1a5c438384ab /audio/alsaplayer
parent2da73d6b84eeb8f1055f62a619c1fded115cd5a7 (diff)
downloadslackbuilds-e98067e75fa94fa83d753fa01b5ce9ea39a8e98d.tar.gz
slackbuilds-e98067e75fa94fa83d753fa01b5ce9ea39a8e98d.tar.xz
audio/alsaplayer: Updated for version 0.99.80
Diffstat (limited to 'audio/alsaplayer')
-rw-r--r--audio/alsaplayer/alsaplayer.SlackBuild12
-rw-r--r--audio/alsaplayer/alsaplayer.info2
2 files changed, 11 insertions, 3 deletions
diff --git a/audio/alsaplayer/alsaplayer.SlackBuild b/audio/alsaplayer/alsaplayer.SlackBuild
index a1910dc97d..21dd3762c5 100644
--- a/audio/alsaplayer/alsaplayer.SlackBuild
+++ b/audio/alsaplayer/alsaplayer.SlackBuild
@@ -17,10 +17,13 @@ DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README TODO"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -42,6 +45,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -54,8 +58,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -76,4 +82,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/alsaplayer/alsaplayer.info b/audio/alsaplayer/alsaplayer.info
index 7f53edc0a8..b62511ccde 100644
--- a/audio/alsaplayer/alsaplayer.info
+++ b/audio/alsaplayer/alsaplayer.info
@@ -2,7 +2,9 @@ PRGNAM="alsaplayer"
VERSION="0.99.80"
HOMEPAGE="http://www.alsaplayer.org"
DOWNLOAD="http://www.alsaplayer.org/alsaplayer-0.99.80.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="14bcd05d89d39f89fb539d74ccf36b18"
+MD5SUM_x86_64=""
MAINTAINER="Luís Henrique"
EMAIL="lmello.009@gmail.com"
APPROVED="dsomero"